# fs_open.c File Reference

## Detailed Description

Contains the general code to open a file system -- this calls the file system -specific opening routines.

`#include "fs_tools_i.h"`

## Functions

TSK_FS_INFO * | tsk_fs_open (TSK_IMG_INFO *img_info, SSIZE_T offset, const TSK_TCHAR *type)
| Read data and process it as a file system.

## Function Documentation

TSK_FS_INFO* tsk_fs_open | ( | TSK_IMG_INFO * | img_info,
|  | SSIZE_T | offset,
|  | const TSK_TCHAR * | type
| ) |

Read data and process it as a file system.

Parameters:

  | img_info | Disk image to analyze
  | offset | Byte offset to start analyzing from
  | type | String type of file system type (autodetects if NULL)

Returns:
  NULL on error